/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


/*
 * Filename: util.cpp
 * Description: Utility functions
 * Author: Yohanes Nugroho
 * Creation Date:
 * Last Update: 15/Feb/2004
 * Revisions:
 */

#ifdef USE_LIB_C
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "usermem.h"
#include <arpa/inet.h>
#else
#include <es_sock.h>
#include  <eikenv.h>
#include <eikappui.h>
//#include <aknutils.h>
#include <baclipb.h>
#include <hal.h>
#include <charconv.h>
#endif

#include "const.h"
#include "info.h"
#include "util.h"
//#include <string.h>
//#include <ctype.h>

/* reverse endiannes for 16 bit integer
 */
short fixs(short s)
{
#ifdef USE_LIB_C
	return ntohs(s);
#else
	return ByteOrder::Swap16((TUint16 )s);
#endif
}

/* reverse  endiannes for 32 bit integer
 */
long fixl(long s)
{
#ifdef USE_LIB_C
	return ntohl(s);
#else
	return ByteOrder::Swap32(s);
#endif
}


/**********************************************************
 * STDLIB function replacement
 ********************************************************/

/* replacement for strcpy */
char * my_strcpy(char *s, const char *ct)
{
	char *t = s;
	int i = 0;
	while ((s[i]=ct[i])!=0) i++;
        return t;
}

/* replacement for tolower */
int my_tolower(int c)
{
	return (c>='A' && c<='Z')?c+('a'-'A'):c;
}

/* replacement for isdigit */
int my_isdigit(int c)
{
	return (c>='0' && c<='9');
}

/* replacement for isalpha*/
int my_isalpha(int c)
{
	return (c>='a' && c<='z') ||(c>='A' && c<='Z') ;
}

/* replacement for strcmp*/
int my_strcmp(const char *cs, const char *ct)
{
        while (*cs==*ct){
                if (!*cs) return 0;
                ++cs;++ct;
        }
        return *cs-*ct;
}

/* replacement for strcat*/
char * my_strcat(char *s, char *ct)
{
        char *t=s;
        while (*s) s++;
        while (*ct) *s++=*ct++;
        *s=0;
        return t;
}

