/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


#include "CheckBiblePDB.h"
#include "PDBAccess.h"
#include <f32file.h>

TBool CheckBiblePDB::CheckFile(RFs &aFs, TDesC &filename)
{
	RFile file;
	if (file.Open(aFs, filename, EFileShareReadersOnly)!=KErrNone) return EFalse;

	int filesize;

	file.Size(filesize);
	if (filesize<50000) {
		file.Close();
		return EFalse;
	}
	pdb_header pdbheader;
	Mem::FillZ(&pdbheader, sizeof (struct pdb_header));
	TBuf8 <78> buff;

	TInt filestart = 0;
	file.Seek(ESeekStart, filestart);

	if (file.Read(buff, 78)!=KErrNone) {
		file.Close();
		return EFalse;
	}
	file.Close();

	//Mem::Copy((void *)&pdbheader, (void *)buff.Ptr(), 78);
	char *head = (char *)buff.Ptr();
	/*
	Mem::Copy(pdbheader.name, head, 32);
	Mem::Copy(&pdbheader.attributes, head+32, 2);
	Mem::Copy(&pdbheader.version, head+34, 2);
	Mem::Copy(&pdbheader.create_time, head+36, 4);
	Mem::Copy(&pdbheader.modify_time, head+ 40, 4);
	Mem::Copy(&pdbheader.backup_time, head+44, 4);
	Mem::Copy(&pdbheader.modificationNumber, head+48, 4);
	Mem::Copy(&pdbheader.appInfoID, head+52, 4);
	Mem::Copy(&pdbheader.sortInfoID, head+56, 4);
	*/
	Mem::Copy(pdbheader.type, head+60, 4);
	/*
	Mem::Copy(&pdbheader.id_seed, head+68, 4);
	Mem::Copy(&pdbheader.nextRecordList, head+72, 4);
	Mem::Copy(&pdbheader.numRecords, head+76 , 2);
	*/
	if (Mem::Compare((TUint8*)"bibl", 4, (TUint8*)pdbheader.type, 4)!=0) return EFalse;
	Mem::Copy(pdbheader.creator, head+ 64, 4);
	if (Mem::Compare((TUint8*)"PPBL", 4, (TUint8*)pdbheader.creator, 4)!=0) return EFalse;
	return ETrue;

}
