/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


#include "CFileFinder.h"
#include "CFileFinderEngine.h"

CFileFinder::CFileFinder() : CActive(0)
{

}

void CFileFinder::ConstructL(RFs& aFs, CStringList *aStrList)
{
	iEngine = new (ELeave) CFileFinderEngine(aFs, aStrList);
	iEngine->ConstructL();
	CActiveScheduler::Add(this);
}

CFileFinder::~CFileFinder()
{
	delete iEngine;
}

void CFileFinder::StartFind()
{
	iDone = EFalse;
	iEngine->InitFind();

	SetActive();

	TRequestStatus *status = &iStatus;
	User::RequestComplete(status, KErrNone);

}


void CFileFinder::DoCancel()
{
	iEngine->CancelFind();
}

TBool CFileFinder::IsDone()
{
	return iDone;
}


void CFileFinder::RunL()
{

	TBool completed = iEngine->FindStep();

	if (!completed) {

		SetActive();
		TRequestStatus *status = &iStatus;
		User::RequestComplete(status, KErrNone);
	} else {
		iDone = ETrue;
		CActiveScheduler::Stop() ;
	}

}

