/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


/*
 * Filename: S60Bible.cpp
 * Description: Bible Reader Main Class
 * Author: Yohanes Nugroho
 * Creation Date:
 * Last Update: 15/Feb/2004
 * Revisions:
 */
 
#ifdef __SERIES60_30__
#include <eikstart.h>
#endif
 
#include <e32std.h>
#include <eikapp.h>
#include "S60BibleApplication.h"
#include "log.h"

// Epoc DLL entry point, return that everything is ok

// Create an S60Bible application, and return a pointer to it
EXPORT_C CApaApplication* NewApplication()
{
	
 RDebug::Print(_L("Testing S60Bible 2"));

	return (new CS60BibleApplication);
}

#ifdef __SERIES60_30__ 
GLDEF_C TInt E32Main() 
 { 
_LIT(KMsgDebug,"Testing S60Bible"); 
RDebug::Print(KMsgDebug);
 return EikStart::RunApplication( NewApplication ); 
 } 
# else 
GLDEF_C TInt E32Dll( TDllReason ) 
    { 
    return KErrNone; 
    } 
#endif 

