/*
* ============================================================================
*  Name     : S80BibleAppUi.h
*  Part of  : S80Bible
*  Created  : 22.05.2006 by Yohanes Nugroho
*  Description:
*     CS80BibleAppUi header 
*  Copyright: 
* ============================================================================
*/


#ifndef __S80BIBLE_APPUI_H__
#define __S80BIBLE_APPUI_H__

#include <txtrich.h>
#include <eikappui.h>

_LIT(KBibleListFile, "biblelist.txt");
_LIT(KSettingsFile, "biblesettings.txt");
_LIT(KOptionsFile, "bibleoptions.txt");
_LIT(KHistoryFile, "biblehistory.txt");
_LIT(KBookmarkFile, "biblebookmark.txt");
_LIT(KBindingsFile, "biblekeybindings.txt");
_LIT(KRecentFile, "recentbible.txt");
_LIT(KCrashFile, "crash.txt");

// Forward reference
class CS80BibleView;
class CStringList;
class CS80BibleDocument;
class CEikRichTextEditor;

class CS80BibleAppUi : public CEikAppUi
    {
	public:
		void ConstructL();		
		CS80BibleAppUi(CS80BibleDocument *aDocument);
		~CS80BibleAppUi();
		void DoGoto();
		void DoFontSelect();
		void LoadSettings(TBool aFirst);
		CStringList *GetRecentBible();

	public: // from CEikAppUi
		void HandleCommandL(TInt aCommand);
		TKeyResponse HandleKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);
		TBool ProcessCommandParametersL(TApaCommand aCommand, TFileName& aDocumentName, const TDesC8& aTail);
		void DoGotoRecentBible();
		CS80BibleDocument *Document();
		void DoHistory();
		void ViewBookmarks();
#ifdef __SERIES60_30__
		void HandleResourceChangeL(TInt /*aType*/);
#endif
	private: 
		void ChangeFullScreenL();
		void DoOpen();
		void LoadFontsL(const TDesC& aExtension);
		void SaveSettingsL();

	private:
		CEikRichTextEditor* iEditor;
		CRichText* iRichText;
		CS80BibleView *iView;
		CS80BibleDocument *iDocument;
	/**
	 * last verse typed for goto verse menu
	 */
    	TBuf<256> iLastVerse;
	/**
	 * backlight state
	 */
    	TBool iBackLight;
	/**
	 * fullscreen state
	 */
    	TBool iFullScreen;

	/**
	 * data path
	 */
	TFileName iDataPath;
	/**
	 * path to bible list
	 */
	TFileName iBibleList;
	/**
	 * path to bible settings
	 */
	TFileName iBibleSettings;
	/**
	 * path to bible options
	 */
	TFileName iBibleOptions;
	/**
	 * path to bible history
	 */
	TFileName iBibleHistory;

	TFileName iRecentBibles;

	
	TFileName iCrashFile;
	
	/**
	 * history content
	 */
	 
	 
	CStringList *iHistory;
	CStringList *iRecent;
	
	TFileName tmpFontPath;
	TInt iOffset;

	TInt selBook;
	TBuf <3>selChapter;
	TBuf <3>selVerse;


    };

#endif // __S80BIBLE_APPUI_H__

