#ifndef _ABOUT_H
#define _ABOUT_H

#include <aknappui.h>
#include <coecntrl.h>
#include <e32std.h>
#include <aknappui.h>
#include <eikmenup.h>
#include <AknWaitDialog.h>
#include <aknview.h>
#include <aknquerydialog.h>
#include <txtrich.h>

class CAboutContainer;

class CAboutView :  public CAknView 
{
    public:
    	
    	static CAboutView * NewL();
    	static CAboutView * NewLC();
	void ConstructL();
    	void DoActivateL(const TVwsViewId& /*aPrevViewId*/,
                                    TUid /*aCustomMessageId*/,
                                    const TDesC8& /*aCustomMessage*/);
    	void DoDeactivate();

    	void HandleCommandL(TInt aCommand);
    	TUid Id() const;
   private:
   	CAboutView();
   	CAboutContainer *iContainer;
   	TVwsViewId iPrevView;

};

class CAboutContainer : public CCoeControl 
{
	public:
		~CAboutContainer();
		static CAboutContainer * NewL(const TRect &aRect);
		static CAboutContainer * NewLC(const TRect &aRect);
		void ConstructL(const TRect &aRect);
		TKeyResponse OfferKeyEventL( const TKeyEvent& aKeyEvent, TEventCode aType );
		TCoeInputCapabilities InputCapabilities() const;
		TInt CountComponentControls() const;
		CCoeControl* ComponentControl(TInt aIndex) const;
		void Draw(const TRect& aRect) const;
		void UpdateScrollIndicatorL();
	private:
		CAboutContainer();
		CTextLayout* iLayout; // text layout
        	CTextView* iTextView; // text view
    		CParaFormatLayer* iParaFormatLayer;
    		CCharFormatLayer* iCharFormatLayer;
    		CRichText* iRichText; 
    		CEikScrollBarFrame * iSBFrame;
        	
};


#endif
